/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Conferencia;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.PtovtaTipoEstoque;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.entidad.PuntoVentaVO;

/**
 * 
 * @author Administrador
 */
public interface PuntoVentaDAO extends GenericDAO<PuntoVenta, Integer> {

	public List<PuntoVenta> buscaLike(String strEstacion, boolean sinTodos);

	public List<PuntoVenta> busca(String nomPuntoVenta, String numPuntoVenta);

	public List<PuntoVenta> buscaPuntoVenta(String numPuntoVenta);

	public List<PuntoVenta> buscaPuntoVentaParada(Parada parada);

	public List<PuntoVentaVO> buscaPuntoVentaEmpresaSemECF(Empresa empresa);

	public List<PuntoVenta> buscarPuntoVentaSubordinados(PuntoVenta puntoVenta);

	public List<PuntoVenta> buscarPuntosVentaMovimentacionBilhetes(List<Empresa> empresas);

	public List<PuntoVenta> buscarPuntoVentaPorTipoEstoque(PtovtaTipoEstoque tipoEstoque);

	public List<String> quantidadeECFPorPuntoVenta(Conferencia conferencia);

	public List<PuntoVenta> buscarPuntoVentaPtoVtaComissao(List<Integer> empresas);

	public List<PuntoVenta> buscaPuntoVentaEmpresa(Empresa empresa);
	
	
}
